FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202103060503.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103060503.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=f23c075c609197ca2567b25936f4afc5607f8525 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.0+f23c075 OS_GIT_COMMIT=f23c075 OS_GIT_VERSION=4.5.0-202103060503.p0-f23c075 SOURCE_DATE_EPOCH=1586950463 SOURCE_GIT_COMMIT=f23c075c609197ca2567b25936f4afc5607f8525 SOURCE_GIT_TAG=v1.0.0-rc2-457-gf23c075c SOURCE_GIT_URL=https://github.com/openshift/csi-external-snapshotter 
WORKDIR /go/src/github.com/kubernetes-csi/external-snapshotter
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20210306.052852
ENV __doozer=update BUILD_RELEASE=202103060503.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103060503.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=f23c075c609197ca2567b25936f4afc5607f8525 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.0+f23c075 OS_GIT_COMMIT=f23c075 OS_GIT_VERSION=4.5.0-202103060503.p0-f23c075 SOURCE_DATE_EPOCH=1586950463 SOURCE_GIT_COMMIT=f23c075c609197ca2567b25936f4afc5607f8525 SOURCE_GIT_TAG=v1.0.0-rc2-457-gf23c075c SOURCE_GIT_URL=https://github.com/openshift/csi-external-snapshotter 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-snapshotter/bin/csi-snapshotter /usr/bin/
ENTRYPOINT ["/usr/bin/csi-snapshotter"]

LABEL \
        name="openshift/ose-csi-external-snapshotter" \
        com.redhat.component="ose-csi-external-snapshotter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202103060503.p0" \
        io.openshift.build.commit.id="f23c075c609197ca2567b25936f4afc5607f8525" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-snapshotter" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-snapshotter/commit/f23c075c609197ca2567b25936f4afc5607f8525" \
        version="v4.5.0"

